﻿Type=Class
Version=2.71
@EndOfDesignText@
'Class module
#Region  Module Attributes 
	#ExcludeFromLibrary: false
#End Region

Sub Class_Globals
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub

'Create a directory in the specified root path and return the full path
Public Sub createDirectory (DirRoot As String, dirName As String)
			Dim MyPath As String
			MyPath = DirRoot & "/" & dirName & "/"
    
			If File.Exists(MyPath, "") = False Then
				File.MakeDir(DirRoot, dirName)
			End If
			
		    If File.Exists(MyPath, "") Then Return MyPath
End Sub

'Search for the file specified and return the full path
Sub getFilePath (path1 As String, FileName As String) As String

Dim fileList As List
Dim fileList1 As List
Dim FilePath As String
Dim tmpFileName As String
Dim tmpFileName1 As String

fileList.Initialize
fileList1.Initialize
fileList = File.listfiles(path1)       '<<--- load files from folder path1

tmpFileName=""
For i = 0 To fileList.Size - 1
	tmpFileName =fileList.get(i)
	
	If File.IsDirectory(path1,tmpFileName) Then 
		
		fileList1 = File.ListFiles(path1 & "/" & tmpFileName)
		If fileList1.IsInitialized Then
			For x = 0 To fileList1.Size - 1
				tmpFileName1 =fileList1.get(x)
				Log(tmpFileName1)
			    If tmpFileName1.ToLowerCase.EndsWith(FileName) Then
					'Msgbox (path1 & "/" & tmpFileName,"")
					Return path1 & "/" & tmpFileName
				End If
			Next
		End If
	Else
		If tmpFileName.ToLowerCase.EndsWith(FileName) Then
			'Msgbox ("trovato","")
			Return path1
		End If
	End If
Next

Return ""

End Sub

'Copy the specified asset file to the app's default directory
Public Sub CopyFromAssetsToApp (FileName As String) As String
	Dim TargetDir As String
	If File.ExternalWritable Then TargetDir = File.DirDefaultExternal Else TargetDir = File.DirInternal
	If File.Exists(TargetDir, FileName) = False Then
			File.Copy(File.DirAssets, FileName, TargetDir, FileName)
	End If
	Return TargetDir
End Sub